Pregunta sobre WooCommerce de Wordpress:

Advertencia de PHP: valor no numérico encontrado en … class-woocommerce.php …

Un usuario preguntó 👇

Estimado señor o señora,

Actualizamos WooCommerce en tres de nuestras tiendas a la versión 3.3.1. WordPress es el 4.9.4 más nuevo. PHP es 7.1. Después de permitir que WooCommerce actualice la base de datos, en dos de las tres tiendas hay dos errores de PHP en el fin de semana y dos en el frente.

Backend: – Advertencia: valor no numérico encontrado en //wp-content/plugins/woocommerce/includes/class-woocommerce.php en línea 549

– Advertencia: No se puede modificar la información del encabezado – encabezados que ya envió (la salida comenzó en / /wp-content/plugins/woocommerce/includes/class-woocommerce.php:549) en / / wp-admin / incluye /misc.php en línea 1114

Frontend: – Advertencia: valor no numérico encontrado en //wp-content/plugins/woocommerce/includes/class-woocommerce.php en línea 549

Para probarlo, desactivamos todos los plugins, excepto WooCommerce, pero el error persistió.

(@mikejolley)

Hace 2 años, 9 meses

Puede ocultar las advertencias de PHP y debe hacerlo sobre la producción https://aristath.github.io/blog/wp-hide-php-errors

En Apariencia> Personalizado> WooCommerce> Imágenes del producto, ¿podría decirme cuál es la configuración?

(@docizzen)

Hace 2 años, 9 meses

Imágenes del producto Ancho de la imagen principal El tamaño de la imagen utilizada para la imagen principal en páginas de productos individuales. Estas imágenes permanecerán sin abrir.

700 Ancho de imagen Tamaño de imagen utilizado para productos del catálogo y miniaturas de la galería de productos.

500 1: 1 Miniatura Las imágenes en miniatura se recortarán en un cuadrado Las imágenes personalizadas se llevarán a una relación de aspecto personalizada Desbloqueado x Las imágenes se mostrarán utilizando la relación de aspecto en la que se cargaron

(@docizzen)

Hace 2 años, 9 meses

Implementé PHP V7.1, volví a PHP V5.6.33 y lo arreglé.

(@jardacarda)

Hace 2 años, 9 meses

Mismo problema, también PHP V7.1

(@mikejolley)

Hace 2 años, 9 meses

Aquí hay algunas opciones:

1. Oculte las advertencias en producción (lo recomiendo independientemente de la protección contra este tipo de anuncios visibles para los clientes). https://aristath.github.io/blog/wp-hide-php-errors

2. Aplicar https://github.com/woocommerce/woocommerce/pull/18833

3. Cambie de sin procesar a otra cosa.

Arreglaremos esto correctamente en el próximo número.

Salud

(@taunus)

Hace 2 años, 9 meses

Para mí, la misma pregunta fue con php 7.1. 7.0. Bueno. Cambié de no copiado y funciona con php 7.1.

(@doffine)

Hace 2 años, 9 meses

Recuperé las copias de seguridad de Duplicator Pro de anoche en «PHP-Warning-Shops», actualicé WordPress y WooCommerce a las versiones más recientes. También dejo que PHP 7.1 se ejecute. Y no puedo explicar por qué, pero ahora todo funciona. No más advertencias, aunque WooCommerce es nuevamente 3.3.1 y PHP 7.1 permaneció.

(@mikejolley)

Hace 2 años, 9 meses

@doffine agregamos una etiqueta de revisión 3.3.1 para evitar nuevas instalaciones. Está resuelto.

(@doffine)

Hace 2 años, 9 meses

¡Ah, perfecto, gracias!

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *